package net.wanji.web.mapper.scheme;

import io.lettuce.core.dynamic.annotation.Param;
import net.wanji.web.po.scheme.CrossLightsPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 灯组基础信息;(t_base_cross_lights)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
public interface CrossLightsMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") List<CrossLightsPO> entities);

    CrossLightsPO selectByCrossIdAndLedNum(@Param("crossId") String crossId, @Param("ledNum") String ledNum);

    List<CrossLightsPO> selectByCrossId(@Param("crossId") String crossId);

    List<CrossLightsPO> selectByCrossIdAndDir(@Param("crossId") String crossId, @Param("dir") Integer dir);

    CrossLightsPO selectById(@Param("id") Integer id);

    List<CrossLightsPO> selectByLightsIdsAndDir(@Param("lightsIds") List<Integer> lightsIds,
                                                @Param("dir") Integer dir);
}
